## ecore 0.9.9.050%2bsvn38845-maemo1

=== debian/changelog ===
ecore (0.9.9.050+svn38845-maemo1) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Thu, 29 Jan 2009 15:36:38 -0300

ecore (0.9.9.050+svn38812-maemo1) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 27 Jan 2009 11:57:40 -0300

ecore (0.9.9.043+svn36098-maemo1) unstable; urgency=low

  * Synched with svn repository

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Thu, 11 Sep 2008 16:00:00 -0300

ecore (0.9.9.042-maemo5) unstable; urgency=low

  * debian/changelog: Update evas dependency info.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Mon, 14 Jul 2008 13:38:50 -0300

ecore (0.9.9.042-maemo4) unstable; urgency=low

  * debian/rules: Try to guess the target device in a bit more clever way.
  * debian/control: Fix build dependency info.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Thu, 03 Jul 2008 16:05:28 -0300

ecore (0.9.9.042-maemo3) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 06 May 2008 15:49:22 -0300

ecore (0.9.9.042-maemo2) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 07 Mar 2008 10:36:24 -0300

ecore (0.9.9.042-maemo1) unstable; urgency=low

  * New upstream version.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 15 Feb 2008 12:04:42 -0200

ecore (0.9.9.041-maemo.7) unstable; urgency=low

  * Include patch by Caio Oliveira <caio.oliveira@openbossa.org> to avoid regain
    focus in a fullscreen application.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 18 Dec 2007 12:06:57 -0200

ecore (0.9.9.041-maemo.6) unstable; urgency=low

  * Ecore_IMF fixes provided by Andrunko.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Wed, 12 Dec 2007 23:53:32 -0200

ecore (0.9.9.041-maemo.5) unstable; urgency=low

  * debian/control: Build libecore0-imf and libecore0-imf-evas.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Sun, 09 Dec 2007 17:21:29 -0200

ecore (0.9.9.041-maemo.4) unstable; urgency=low

  * rules: use BUILD_DEB_OPTIONS for n770 and n8x0 variants
  * rules: use quilt instead of simple-patchsys

 -- Ed Bartosh <bartosh@gmail.com>  Sun,  9 Dec 2007 19:04:32 +0200

ecore (0.9.9.041-maemo.3) unstable; urgency=low

  * debian/rules: Include simple-patchsys.mk
  * debian/control: Build libecore0-ipc.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Sun, 09 Dec 2007 12:40:29 -0300

ecore (0.9.9.041-maemo.2) unstable; urgency=low

  * rules: --disable-ecore-sdl --disable-ecore-evas-sdl added to
    configure options
  * debian/rules: --disable-ecor-evas-buffer removed
  * debian/rules: --enable-ecore-evas-x11-16 added to
    configure options
  * libevas-engine-software-x11-16 and libevas-engine-software-x11 added
    as a dependencies for libecore0-evas

 -- Ed Bartosh <bartosh@gmail.com>  Sun, 23 Sep 2007 22:23:57 +0300

ecore (0.9.9.041-maemo.1) unstable; urgency=low

  * Upstream updated to 0.9.10.041

 -- Ed Bartosh <bartosh@gmail.com>  Sun,  9 Sep 2007 23:16:40 +0300

ecore (0.9.9.040-maemo.1) unstable; urgency=low

  * Maemo build

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 18 Aug 2007 21:12:48 +0300

ecore (0.9.9.040-1) unstable; urgency=low

  * a CVS snapshot release.

 -- E17 Debian Team <debian@edevelop.org>  Tue,  7 Mar 2006 13:30:15 +0000
