=== debian/control ===
Source: ecore
Section: libs
Priority: optional
Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
Build-Depends: cdbs, debhelper (>= 4), libeina-dev (>= 0.0.1+svn38845-maemo1), libeet1-dev (>= 1.1.0+svn38845-maemo1), libevas0-dev (>= 0.9.9.050+svn38845-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
Standards-Version: 3.7.2

Package: libecore0
Architecture: any
Provides: libecore
Depends: ${shlibs:Depends}, libeina0 (>= 0.0.1+svn38845-maemo1)
Description: Core abstraction layer for enlightenment DR 0.17
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.

Package: libecore0-con
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libssl0.9.7|libssl0.9.8
Provides: libecore-con
Description: Ecore Connection Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Connection Library.

#Package: libecore0-config
#Architecture: any
#Section: libs
#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.050+svn38845-maemo1), libeet1 (>= 1.1.0+svn38845-maemo1)
#Provides: libecore-config
#Description: Ecore Enlightened Property Library
# This is the core event abstraction layer and X abstraction layer that makes
# doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
# handlers fast, optimized, and convenient. It's a separate library so anyone
# can make use of the work put into Ecore to make this job easy for
# applications.
# .
# This package contains the Enlightened Property Library.

Package: libecore0-desktop
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-file (= ${Source-Version})
Provides: libecore-desktop
Description: Ecore freedesktop.org .desktop, icon, menu parsing Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore freedesktop.org .desktop, icon, menu parsing Library.

Package: libecore0-evas
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.050+svn38845-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.050+svn38845-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.050+svn38845-maemo1)
Provides: libecore-evas
Description: Ecore Evas Wrapper Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Evas wrapper functions.

#Package: libecore0-fb
#Architecture: any
#Section: libs
#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
#Provides: libecore-fb
#Description: Ecore frame buffer system functions
# This is the core event abstraction layer and X abstraction layer that makes
# doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
# handlers fast, optimized, and convenient. It's a separate library so anyone
# can make use of the work put into Ecore to make this job easy for
# applications.
# .
# This package contains the Ecore frame buffer system functions.

Package: libecore0-file
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
Provides: libecore-file
Description: Ecore File Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore File Library.

Package: libecore0-imf
Architecture: any
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
Provides: libecore-imf
Description: Ecore Input Method Framework
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Input Method Framework module.

Package: libecore0-imf-evas
Architecture: any
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-evas (= ${Source-Version}), libecore0-imf (= ${Source-Version})
Provides: libecore-imf-evas
Description: Ecore Evas Input Method Framework
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Evas helper functions for the Ecore Input Method
 Framework module.

Package: libecore0-ipc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-con (= ${Source-Version})
Provides: libecore-ipc
Description: Ecore inter-process communication functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore inter-process communication functions.

Package: libecore0-job
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
Provides: libecore-job
Description: Ecore job dealing functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains functions for dealing with Ecore jobs.

Package: libecore0-txt
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
Provides: libecore-txt
Description: Ecore text encoding conversion functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore text encoding conversion functions.

Package: libecore0-x
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-job (= ${Source-Version}), libecore0-txt (= ${Source-Version})
Provides: libecore-x
Description: Ecore functions for dealing with the X Windows System
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore wrapper and convenience functions for using
 the X Windows System.

Package: libecore0-all
Architecture: any
Section: libdevel
Depends: libecore0 (= ${Source-Version}), libecore0-con (= ${Source-Version}), libecore0-desktop (= ${Source-Version}), libecore0-evas (= ${Source-Version}), libecore0-file (= ${Source-Version}), libecore0-job (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-ipc (= ${Source-Version}), libecore0-imf (= ${Source-Version}), libecore0-imf-evas (= ${Source-Version})
Provides: libecore-all
Description: Virtual package providing all available Ecore modules.
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This virtual package provides all available Ecore modules.

Package: libecore0-dev
Architecture: any
Section: libdevel
Architecture: any
Depends: libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.050+svn38845-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
Provides: libecore-dev
Description: Ecore headers, static libraries and documentation
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 This package contains headers, static libraries and documentation for
 the Ecore library.

#Package: libecore0-doc
#Architecture: all
#Section: doc
#Enhances: libecore-dev
#Provides: libecore-doc
#Description: Ecore API Documentation
# This is the core event abstraction layer and X abstraction layer that makes
# doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
# handlers fast, optimized, and convenient. It's a separate library so anyone
# can make use of the work put into Ecore to make this job easy for
# applications.
# .
# This package provides development documentation (html and manpages)for the
# Ecore library.

#Package: ecore0-bin
#Architecture: any
#Section: libs
#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-config (= ${Source-Version})
#Provides: ecore-bin
#Conflicts: ecore-test
#Description: Tools that support Ecore.
# This is the core event abstraction layer and X abstraction layer that makes
# doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
# handlers fast, optimized, and convenient. It's a separate library so anyone
# can make use of the work put into Ecore to make this job easy for
# applications.
# .
# This package includes:
#  - ecore_config: allows creation/editing of ecore_config databases

Package: libecore0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libecore0 (= ${Source-Version})
Provides: libecore-dbg
Description:  Core abstraction layer for enlightenment DR 0.17
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications
 .
