=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: cdbs, debhelper (>= 4), libeina-dev (>= 0.0.1+svn38845-maemo1), libeet1-dev (>= 1.1.0+svn38845-maemo1), libevas0-dev (>= 0.9.9.050+svn38845-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
+Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), libeina0-dev (>= 0.0.2.060+svn41020-maemo1), libeet1-dev (>= 1.2.0+svn41020-maemo1), libevas0-dev (>= 0.9.9.060+svn41020-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
 Standards-Version: 3.7.2
+Homepage: http://www.enlightenment.org
 
 Package: libecore0
 Architecture: any
 Provides: libecore
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.1+svn38845-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41020-maemo1)
 Description: Core abstraction layer for enlightenment DR 0.17
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
@@ -33,7 +35,7 @@
 #Package: libecore0-config
 #Architecture: any
 #Section: libs
-#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.050+svn38845-maemo1), libeet1 (>= 1.1.0+svn38845-maemo1)
+#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41020-maemo1), libeet1 (>= 1.2.0+svn41020-maemo1)
 #Provides: libecore-config
 #Description: Ecore Enlightened Property Library
 # This is the core event abstraction layer and X abstraction layer that makes
@@ -61,7 +63,7 @@
 Package: libecore0-evas
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.050+svn38845-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.050+svn38845-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.050+svn38845-maemo1)
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41020-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.060+svn41020-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.060+svn41020-maemo1)
 Provides: libecore-evas
 Description: Ecore Evas Wrapper Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -103,7 +105,6 @@
 Package: libecore0-imf
 Architecture: any
 Section: libs
-Architecture: any
 Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
 Provides: libecore-imf
 Description: Ecore Input Method Framework
@@ -118,7 +119,6 @@
 Package: libecore0-imf-evas
 Architecture: any
 Section: libs
-Architecture: any
 Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-evas (= ${Source-Version}), libecore0-imf (= ${Source-Version})
 Provides: libecore-imf-evas
 Description: Ecore Evas Input Method Framework
@@ -205,8 +205,7 @@
 Package: libecore0-dev
 Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.050+svn38845-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
+Depends: libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.060+svn41020-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
 Provides: libecore-dev
 Description: Ecore headers, static libraries and documentation
  This is the core event abstraction layer and X abstraction layer that makes
@@ -258,6 +257,3 @@
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
  handlers fast, optimized, and convenient. It's a separate library so anyone
- can make use of the work put into Ecore to make this job easy for
- applications
- .
