=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/maemo-cflags.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS :=  --enable-ecore-evas-software-16-x11	\
							  --disable-ecore-fb			\
							  --disable-ecore-directfb		\
							  --disable-ecore-evas-gl		\
							  --disable-ecore-evas-dfb		\
							  --disable-ecore-evas-xrender	\
							  --disable-ecore-evas-fb		\
							  --disable-ecore-sdl			\
							  --disable-ecore-evas-sdl

DEB_CONFIGURE_SCRIPT_ENV += CURL_LIBS="-lcurl"

CFLAGS += -I/usr/X11R6/include
