=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
 Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
-Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), libeina0-dev (>= 0.0.2.060+svn41020-maemo1), libeet1-dev (>= 1.2.0+svn41020-maemo1), libevas0-dev (>= 0.9.9.060+svn41020-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), libeina0-dev (>= 0.0.2.060+svn41038-maemo1), libeet1-dev (>= 1.2.0+svn41038-maemo1), libevas0-dev (>= 0.9.9.060+svn41038-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
 Standards-Version: 3.7.2
 Homepage: http://www.enlightenment.org
 
 Package: libecore0
 Architecture: any
 Provides: libecore
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41020-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41038-maemo1)
 Description: Core abstraction layer for enlightenment DR 0.17
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
@@ -35,7 +35,7 @@
 #Package: libecore0-config
 #Architecture: any
 #Section: libs
-#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41020-maemo1), libeet1 (>= 1.2.0+svn41020-maemo1)
+#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41038-maemo1), libeet1 (>= 1.2.0+svn41038-maemo1)
 #Provides: libecore-config
 #Description: Ecore Enlightened Property Library
 # This is the core event abstraction layer and X abstraction layer that makes
@@ -46,24 +46,10 @@
 # .
 # This package contains the Enlightened Property Library.
 
-Package: libecore0-desktop
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-file (= ${Source-Version})
-Provides: libecore-desktop
-Description: Ecore freedesktop.org .desktop, icon, menu parsing Library
- This is the core event abstraction layer and X abstraction layer that makes
- doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
- handlers fast, optimized, and convenient. It's a separate library so anyone
- can make use of the work put into Ecore to make this job easy for
- applications.
- .
- This package contains the Ecore freedesktop.org .desktop, icon, menu parsing Library.
-
 Package: libecore0-evas
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41020-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.060+svn41020-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.060+svn41020-maemo1)
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41038-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.060+svn41038-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.060+svn41038-maemo1)
 Provides: libecore-evas
 Description: Ecore Evas Wrapper Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -131,6 +117,18 @@
  This package contains the Evas helper functions for the Ecore Input Method
  Framework module.
 
+Package: libecore0-input
+Architecture: any
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}),
+Description: Ecore input functions
+ This is the core event abstraction layer and X abstraction layer that makes
+ doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
+ handlers fast, optimized, and convenient. It's a separate library so anyone
+ can make use of the work put into Ecore to make this job easy for
+ applications.
+ .
+ This package contains the Ecore Input Library.
+
 Package: libecore0-ipc
 Architecture: any
 Section: libs
@@ -191,7 +189,7 @@
 Package: libecore0-all
 Architecture: any
 Section: libdevel
-Depends: libecore0 (= ${Source-Version}), libecore0-con (= ${Source-Version}), libecore0-desktop (= ${Source-Version}), libecore0-evas (= ${Source-Version}), libecore0-file (= ${Source-Version}), libecore0-job (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-ipc (= ${Source-Version}), libecore0-imf (= ${Source-Version}), libecore0-imf-evas (= ${Source-Version})
+Depends: libecore0 (= ${Source-Version}), libecore0-con (= ${Source-Version}), libecore0-evas (= ${Source-Version}), libecore0-file (= ${Source-Version}), libecore0-job (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-ipc (= ${Source-Version}), libecore0-imf (= ${Source-Version}), libecore0-imf-evas (= ${Source-Version}), libecore0-input (= ${Source-Version})
 Provides: libecore-all
 Description: Virtual package providing all available Ecore modules.
  This is the core event abstraction layer and X abstraction layer that makes
@@ -205,7 +203,7 @@
 Package: libecore0-dev
 Architecture: any
 Section: libdevel
-Depends: libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.060+svn41020-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.060+svn41038-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
 Provides: libecore-dev
 Description: Ecore headers, static libraries and documentation
  This is the core event abstraction layer and X abstraction layer that makes
@@ -257,3 +255,6 @@
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
  handlers fast, optimized, and convenient. It's a separate library so anyone
+ can make use of the work put into Ecore to make this job easy for
+ applications
+ .
