=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
 Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
-Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), libeina0-dev (>= 0.0.2.060+svn41038-maemo1), libeet1-dev (>= 1.2.0+svn41038-maemo1), libevas0-dev (>= 0.9.9.060+svn41038-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), libeina0-dev (>= 0.0.2.062+svn41533-maemo1), libeet1-dev (>= 1.2.2+svn41533-maemo1), libevas0-dev (>= 0.9.9.062+svn41533-maemo1), libssl-dev, libcurl3-dev, libcurl3-openssl-dev, libxcursor-dev, x-dev | libx11-dev, libxrender-dev, libxrandr-dev, libxext-dev, libfreetype6-dev, libjpeg62-dev
 Standards-Version: 3.7.2
 Homepage: http://www.enlightenment.org
 
 Package: libecore0
 Architecture: any
 Provides: libecore
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41038-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.062+svn41533-maemo1)
 Description: Core abstraction layer for enlightenment DR 0.17
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
@@ -21,7 +21,7 @@
 Package: libecore0-con
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libssl0.9.7|libssl0.9.8
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version})
 Provides: libecore-con
 Description: Ecore Connection Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -35,7 +35,7 @@
 #Package: libecore0-config
 #Architecture: any
 #Section: libs
-#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41038-maemo1), libeet1 (>= 1.2.0+svn41038-maemo1)
+#Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0 (>= 0.9.9.062+svn41533-maemo1), libeet1 (>= 1.2.2+svn41533-maemo1)
 #Provides: libecore-config
 #Description: Ecore Enlightened Property Library
 # This is the core event abstraction layer and X abstraction layer that makes
@@ -49,7 +49,7 @@
 Package: libecore0-evas
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.060+svn41038-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.060+svn41038-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.060+svn41038-maemo1)
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libecore0-x (= ${Source-Version}), libecore0-txt (= ${Source-Version}), libecore0-job (= ${Source-Version}), libevas0 (>= 0.9.9.062+svn41533-maemo1), libx11-6, libxext6, libevas0-engine-software-x11 (>= 0.9.9.062+svn41533-maemo1), libevas0-engine-software-x11-16 (>= 0.9.9.062+svn41533-maemo1)
 Provides: libecore-evas
 Description: Ecore Evas Wrapper Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -203,7 +203,7 @@
 Package: libecore0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.060+svn41038-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
+Depends: ${shlibs:Depends}, libecore0 (= ${Source-Version}), libevas0-dev (>= 0.9.9.062+svn41533-maemo1), libecore0-all (= ${Source-Version}), libssl-dev, libcurl3-openssl-dev, libxcursor-dev, libxrender-dev, libxrandr-dev
 Provides: libecore-dev
 Description: Ecore headers, static libraries and documentation
  This is the core event abstraction layer and X abstraction layer that makes
@@ -258,3 +258,4 @@
  can make use of the work put into Ecore to make this job easy for
  applications
  .
+ This package contains unstripped shared libraries. It is provided primarily
